Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 238233 - Review Request: perl-Catalyst-Plugin-ConfigLoader - Load config files of various types
Summary: Review Request: perl-Catalyst-Plugin-ConfigLoader - Load config files of vari...
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Parag AN(पराग)
QA Contact: Fedora Package Reviews List
URL: http://search.cpan.org/dist/Catalyst-...
Whiteboard:
Depends On: perl-Data-Visitor perl-Config-Any Catalyst-Runtime
Blocks: perl-Catalyst-Devel
TreeView+ depends on / blocked
 
Reported: 2007-04-28 03:41 UTC by Chris Weyl
Modified: 2010-08-25 17:17 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-05-16 23:53:42 UTC
panemade: fedora-review+
kevin: fedora-cvs+


Attachments (Terms of Use)

Description Chris Weyl 2007-04-28 03:41:33 UTC
SRPM URL: http://home.comcast.net/~ckweyl/perl-Catalyst-Plugin-ConfigLoader-0.14-1.fc6.src.rpm
SPEC URL: http://home.comcast.net/~ckweyl/perl-Catalyst-Plugin-ConfigLoader.spec

Description:
This module will attempt to load find and load a configuration file of
various types. Currently it supports YAML, JSON, XML, INI and Perl formats.

Comment 1 Chris Weyl 2007-05-15 05:29:17 UTC
SRPM URL:
http://home.comcast.net/~ckweyl/perl-Catalyst-Plugin-ConfigLoader-0.14-2.fc6.src.rpm
SPEC URL: http://home.comcast.net/~ckweyl/perl-Catalyst-Plugin-ConfigLoader.spec

Prevent test needing network access from running inside mock.

Comment 2 Parag AN(पराग) 2007-05-15 05:44:49 UTC
I got following message in build.log But I assume its harmless
Cannot determine perl version info from lib/Catalyst/Plugin/ConfigLoader.pm

Review:
+ package builds in mock (development i386).
+ rpmlint is silent for SRPM and for RPM.
+ source files match upstream url
c74052aa2f09d5044eb37aa34a1b89a5  Catalyst-Plugin-ConfigLoader-0.14.tar.gz
+ package meets naming and packaging guidelines.
+ specfile is properly named, is cleanly written
+ Spec file is written in American English.
+ Spec file is legible.
+ dist tag is present.
+ build root is correct.
+ license is open source-compatible.
+ License text is included in package.
+ %doc is present.
+ BuildRequires are proper.
+ %clean is present.
+ package installed properly.
+ Macro use appears rather consistent.
+ Package contains code, not content.
+ no headers or static libraries.
+ no .pc file present.
+ no -devel subpackage
+ no .la files.
+ no translations are available
+ Does owns the directories it creates.
+ no scriptlets present.
+ no duplicates in %files.
+ file permissions are appropriate.
+ make test outputs
+ make test
PERL_DL_NONLAZY=1 /usr/bin/perl "-MExtUtils::Command::MM" "-e" "test_harness(0,
'inc', 'blib/lib', 'blib/arch')" t/01-use.t t/10-live_auto.t t/20-mock_load.t
t/98-pod_coverage.t t/99-pod.t
t/01-use.............ok
t/10-live_auto.......t/10-live_auto.t does not exist
t/20-mock_load.......ok
t/98-pod_coverage....ok
t/99-pod.............ok
All tests successful.
Files=5, Tests=11,  1 wallclock secs ( 0.54 cusr +  0.09 csys =  0.63 CPU)
mv 10-live_auto.t t/
exit 0

+ Provides: perl(Catalyst::Plugin::ConfigLoader) = 0.14
+ Requires: perl(:MODULE_COMPAT_5.8.8) perl(Catalyst) perl(Config::Any)
perl(Data::Visitor::Callback) perl(NEXT) perl(strict) perl(warnings)

APPROVED.


Comment 3 Chris Weyl 2007-05-15 15:44:44 UTC
New Package CVS Request
=======================
Package Name: perl-Catalyst-Plugin-ConfigLoader
Short Description: Load config files of various types
Owners: cweyl@alumni.drew.edu
Branches: FC-5, FC-6, devel
InitialCC: fedora-perl-devel-list@redhat.com

Comment 4 Chris Weyl 2007-05-16 23:53:42 UTC
Imported and building.  Thanks for the review! :)

Comment 5 Iain Arnell 2010-08-25 05:55:17 UTC
Package Change Request
======================
Package Name: perl-Catalyst-Plugin-ConfigLoader
New Branches: el6
Owners: iarnell tremble
InitialCC: perl-sig

Comment 6 Kevin Fenzi 2010-08-25 17:17:13 UTC
Git done (by process-git-requests).


Note You need to log in before you can comment on or make changes to this bug.